#pragma once

#include <SFML/Graphics.hpp>
#include <SFML/Audio.hpp>
#include "IEntity.hpp"

class Collider;

class Fruit: public sf::Sprite, public IEntity {
public:
	Fruit(Collider* collider);
	void update(float delta) override;
	void registerColl();
private:
	Collider* m_collider;
	bool m_falling;
	sf::Clock m_clock;
	float m_baseY;
	sf::Sound m_boom;
};